> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockscout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# get market chart

> **Deprecation Notice:** Per instance endpoints will be deprecated soon in favor of PRO API endpoints. Please see the [PRO API reference page](https://docs.blockscout.com/devs/pro-api-responses-and-routes) for information.



## OpenAPI

````yaml /openapi-specs/openapi-deprecation.yaml get /stats/charts/market
openapi: 3.0.0
info:
  description: API for BlockScout web app
  version: 1.0.0
  title: BlockScout API
  contact:
    email: support@blockscout.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://eth.blockscout.com/api/v2/
    description: Ethereum mainnet
  - url: https://optimism.blockscout.com/api/v2/
    description: Optimism mainnet
  - url: https://base.blockscout.com/api/v2/
    description: Base mainnet
  - url: https://eth-sepolia.blockscout.com/api/v2/
    description: Ethereum testnet
security: []
tags:
  - name: default
  - name: CelestiaService
paths:
  /stats/charts/market:
    get:
      summary: get market chart
      description: >-
        **Deprecation Notice:** Per instance endpoints will be deprecated soon
        in favor of PRO API endpoints. Please see the [PRO API reference
        page](https://docs.blockscout.com/devs/pro-api-responses-and-routes) for
        information.
      operationId: get_market_chart
      responses:
        '200':
          description: market chart
          content:
            application/json:
              schema:
                type: object
                required:
                  - chart_data
                  - available_supply
                properties:
                  available_supply:
                    type: string
                    example: '164918857.718061'
                  chart_data:
                    type: array
                    items:
                      $ref: '#/components/schemas/MarketChartItem'
components:
  schemas:
    MarketChartItem:
      required:
        - date
        - closing_price
        - market_cap
      properties:
        date:
          type: string
          example: '2022-10-31'
        closing_price:
          type: string
          example: '0.00254915'
        market_cap:
          type: string
          example: '420471.10604559750644'

````